Subject: Re: Mac devices on PREP

From: Gabriel Paubert <[email-masked]>
Date: Sun, 28 Jan 2007 20:23:31 +0100

On Sat, Jan 27, 2007 at 02:24:03PM -0800, Brad Boyer wrote:
> On Sun, Jan 28, 2007 at 01:01:26PM +0100, Bastian Blank wrote:
> > Currently, the whole bunch of macintosh devices (drivers/macintosh) are
> > listed to be available on all ppc variants. Some of them does not build
> > for prep.
> > 
> > The attached patch restricts the whole bunch to PPC_PMAC. I'm not sure
> > if this is the correct fix.
> 
> I don't know if it still works, but there used to be support for
> ADB on CHRP hardware. I don't have any such hardware to check, so
> someone else will have to comment on that. This is one reason I
> suggested moving ADB out of drivers/macintosh, but at the time
> there was disagreement on that and I never finished the patch I
> was work on anyway.
> 
> Perhaps it should be (PPC_PMAC || PPC_CHRP || MAC) instead as a
> simple fix to prevent it from building on prep.
> 

I don't know what the situation is now, but I'm almost certain that,
once upon a time it was possible to build a kernel that would boot 
on Mac, CHRP and PReP. To be precise, it was the same kernel image
included in different boot wrappers.

	Gabriel